import "./tasks/benchmark.wdl" as benchmark
import "./tasks/multiqc.wdl" as multiqc
import "./tasks/vcfstat.wdl" as vcfstat
import "./tasks/mergeNum.wdl" as mergeNum

workflow {{ project_name }} {

	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	File benchmarking_dir
	File ref_dir
	String fasta

	scatter (sample in inputSamples) {

		call benchmark.benchmark as benchmark {
			input:
			vcf=sample[0],
			benchmarking_dir=benchmarking_dir,
			ref_dir=ref_dir,
			sample_mark=sample[1],
			fasta=fasta
		}

		call vcfstat.vcfstat as vcfstat {
			input:
			rtg_vcf=benchmark.rtg_vcf,
			rtg_vcf_index=benchmark.rtg_vcf_index
		}	

	}

	call multiqc.multiqc as multiqc {
		input:
		summary=benchmark.summary
	}

	call mergeNum.mergeNum as mergeNum {
		input:
		vcfnumber=vcfstat.vcfnumber	
	}

}

